## ec2-init 0.1

=== debian/changelog ===
ec2-init (0.1) intrepid; urgency=low

  * Initial release (LP: #269434).

 -- Soren Hansen <soren@ubuntu.com>  Fri, 12 Sep 2008 15:30:32 +0200
