## ec2-init 0.3.3ubuntu12

=== debian/changelog ===
ec2-init (0.3.3ubuntu12) jaunty; urgency=low

  * ec2-run-user-data.py: Fix error. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 07 Apr 2009 08:14:07 -0400

ec2-init (0.3.3ubuntu11) jaunty; urgency=low

  * debian/control:
    - Add python-cheetah and python-apt as a dependency.
  * debian/ec2-config.cfg:
    - Remove distro due to the change in ec2-set-apt-sources.py
  * debian/inistall
    - Install the templates in the right place.
  * ec2-set-apt-sources.py:
    - Use python-apt to update the sources.list.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 01 Apr 2009 13:58:43 -0400

ec2-init (0.3.3ubuntu10) jaunty; urgency=low

  * ec2-set-hostname.py:
    - Use template for /etc/hosts creation.
    - Dont use public_hostname in /etc/hosts. (LP: #352745) 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 01 Apr 2009 08:48:05 -0400

ec2-init (0.3.3ubuntu9) jaunty; urgency=low

  * ec2-set-apt-sources.py:
    - Use a template to generate the sources.list and generate it based on the lsb_release. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 31 Mar 2009 15:15:55 -0400

ec2-init (0.3.3ubuntu8) jaunty; urgency=low

  * ec2-set-apt-sources.py:
    - Add the ubuntu-on-ec2 ppa. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 31 Mar 2009 09:37:13 -0400

ec2-init (0.3.3ubuntu7) jaunty; urgency=low

  * debian/rules: Fix typo. 

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 22 Mar 2009 17:14:16 -0400

ec2-init (0.3.3ubuntu6) jaunty; urgency=low

  * Set the configuration file to jaunty.
  * ec2-fetch-credentials: Fix typo.
  * ec2-set-defaults.py: 
    - Remove timezone change when booting the instance.
    - Redirect output to /dev/null.
  * ec2-set-apt-sources.py:
    - Run apt-get update after the /etc/apt/sources.list and
      redirect the output to /dev/null.
  * rightscale-init: Updated rightscale-init

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Mar 2009 20:52:59 -0400

ec2-init (0.3.3ubuntu5) jaunty; urgency=low

  * debian/ec2-config.cfg:
    - Add disable root option.
  * debian/ec2-init.rightscale-init.init:
    - Add rightscale detection script.
  * ec2-get-info.py:
    - Display the information about an AMI instance.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 16 Mar 2009 08:54:49 -0400

ec2-init (0.3.3ubuntu4) jaunty; urgency=low

  * ec2-fetch-credentials.py:
    - Allow user to choose which user they wish to configure for.
    - Allow user to disable root user if they wish to.
  * ec2-set-defaults.py:
    - Set default timezone to UTC.
    - Set locale depending on zone.
  * debian/init:
    - Removed nash plugin.
    - Add ec2-set-defaults.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 04 Mar 2009 08:33:01 -0500

ec2-init (0.3.3ubuntu3~intrepid4) intrepid; urgency=low

  * set distro to intrepid.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Feb 2009 10:28:06 -0500

ec2-init (0.3.3ubuntu3) jaunty; urgency=low

  * debian/ec2-init: Log results of ec2-run-user-data to syslog.
  * ec2-run-user-data.py :Dont leave files around and log the 
    output to syslog. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Feb 2009 10:24:35 -0500

ec2-init (0.3.3ubuntu2) jaunty; urgency=low

  * ec2-set-apt-sources.py:
    - Use the ec2 mirrors. (LP: #317065, #333897)
    - Update the /etc/apt/sources.list (LP: #333904)
  * ec2-fetch-credentials.py:
    - Better error checking (LP: #325067)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 24 Feb 2009 14:02:37 -0500

ec2-init (0.3.3ubuntu1) jaunty; urgency=low

  * debian/init: Fix init script. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 20 Feb 2009 09:22:54 -0500

ec2-init (0.3.3) jaunty; urgency=low

  * ec2-set-apt-sources.py
    - Determine the zone that the user is in and generate
      a /etc/apt/sources.list.d/ based on that.
  * debian/init:
    - Check to see if there is an /var/run/ec2 and create
      it if it doesnt exist.
    - Start ec2-set-apt-sources at first bootup.
  * debian/rules:
    - Install ec2-set-apt-sources.
  * debian/control:
    - Add python-configobj as a dependency.
  * debian/{install,dirs}
    - Create an /etc/ec2-init to read the configuration file and install it.
  
 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Feb 2009 10:35:56 -0500

ec2-init (0.3.2) jaunty; urgency=low

  * debian/init:
    - Remove already ran detection
    - Log the running of ec2-run-user-data to /var/log/ec2-user-data.log
  * ec2-set-hostname.py:
    - set hostname to the Ec2 local-hostname
    - Update the /etc/hosts to change the ubuntu hostname to the
      public hostname.
  * ec2-fetch-credentials:
    - Copy the ssh keys to the ubuntu user.
    - Setup authorized keys for root to tell the user to login as the 
      ubuntu user when they try to connect.
  * ec2-run-user-data:
    - Create an .already-ran file to check to see if ec2-run-user-data
      already ran.
    - Save the ec2-run-user-data script in /var/ec2.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 04 Feb 2009 09:32:08 -0500

ec2-init (0.3.1) jaunty; urgency=low

  * debian/dir: Install /var/ec2 to save user-data scripts.
  * debian/rules: Start ec2-init after ssh.
  * ec2-run-user-data.py: Save run-user-data script with ami-id.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 26 Jan 2009 10:40:52 -0500

ec2-init (0.3) jaunty; urgency=low

  * ec2-run-user-data: Fix python error when writing a file to the disk. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 15 Jan 2009 11:49:08 -0500

ec2-init (0.2) jaunty; urgency=low

  * debian/init: Run fetch-credentials before anything else.
    (LP: #308533)
  * Add ec2-set-hostname.py: Queries ec2 metdada for public-hostname
    and then sets it (LP: #316201)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 13 Jan 2009 15:20:21 -0500
