=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Standards-Version: 3.8.0
 
 Package: ec2-init
-Architecture: all
-Depends: python, procps
-Description: Init scripts for EC2 instances
+Architecture: i386 amd64
+Depends: python, procps, python-configobj, python-cheetah, python-apt
+Description: Init scripts for EC2 instances,
  EC2 instances need special scripts to run during initialisation
  to retrieve and install ssh keys and to let the user run various scripts.
