=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

DEB_UPDATE_RCD_PARAMS:= start 90 2 3 4 5 . stop 20 1 .

build/ec2-init::
	install -d debian/tmp/usr/sbin
	mkdir -p debian/tmp/var/ec2
	mkdir -p debian/tmp/etc/ec2-init/templates
	install -m 775 ec2-fetch-credentials.py debian/tmp/usr/sbin/ec2-fetch-credentials
	install -m 775 ec2-run-user-data.py debian/tmp/usr/sbin/ec2-run-user-data
	install -m 755 ec2-set-hostname.py debian/tmp/usr/sbin/ec2-set-hostname
	install -m 755 ec2-set-apt-sources.py debian/tmp/usr/sbin/ec2-set-apt-sources
	install -m755 ec2-get-info.py debian/tmp/usr/sbin/ec2-get-info
	install -m755 ec2-set-defaults.py debian/tmp/usr/sbin/ec2-set-defaults
	install -m755 templates/* debian/tmp/etc/ec2-init/templates
	dh_installinit -p ec2-init --name rightscale-init -- defaults 99 09
