## ec2-init 0.4.999-0ubuntu7

=== debian/changelog ===
ec2-init (0.4.999-0ubuntu7) karmic; urgency=low

  * work around differences in eucalyptus ephemeral mounts (LP: #458850)
  * get 'ec2:' prefix on ssh public key fingerprint (LP: #458576)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 26 Oct 2009 16:18:06 -0400

ec2-init (0.4.999-0ubuntu6) karmic; urgency=low

  * make sources.list components for 'karmic-security' the same as
    'karmic' and 'karmic-updates' (main, restricted) (LP: #457866)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 22 Oct 2009 08:55:58 -0400

ec2-init (0.4.999-0ubuntu5) karmic; urgency=low

  * write regenerate_ssh_host_keys output directly to /dev/console
    to ensure that it gets there. (LP: #451881)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 21 Oct 2009 17:23:38 -0400

ec2-init (0.4.999-0ubuntu4) karmic; urgency=low

  * set locale to en_US.UTF-8 if get_location_from_availability_zone 
    doesn't have a match (LP: #407949)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 20 Oct 2009 09:57:49 -0400

ec2-init (0.4.999-0ubuntu3) karmic; urgency=low

  * split running of user-data out of ec2-init into ec2-init-user-data
    run this at S99. (LP : #431255)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 25 Sep 2009 14:17:17 -0400

ec2-init (0.4.999-0ubuntu2) karmic; urgency=low

  * remove rightscale-init from package (see LP: #434181, LP: #434693)
  * fix lintian warning, specify path to GPL-3
  * replace multiple '| logger' in regenerate_ssh_host_keys single one
  * add ec2-is-compat-env, and disable init script by default.  it can be
    enabled by setting 'compat=1' in /etc/ec2-init/is-compat-env

 -- Scott Moser <smoser@ubuntu.com>  Thu, 24 Sep 2009 16:32:42 -0400

ec2-init (0.4.999-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Soren Hansen <soren@ubuntu.com>  Wed, 26 Aug 2009 01:23:52 +0200

ec2-init (0.4.99-0ubuntu3) karmic; urgency=low

  * Also update /etc/default/locale when setting the locale based on
    locality.

 -- Soren Hansen <soren@ubuntu.com>  Tue, 11 Aug 2009 21:49:33 +0200

ec2-init (0.4.99-0ubuntu2) karmic; urgency=low

  * Consolidate build-dependencies a bit.
  * Sync default configuration with code.
  * Create /var/lib/ec2 in package.
  * Make ec2-get-info more robust in testing environments.
  * Handle missing public keys more gracefully.
  * Set proper ownership of user's authorized_keys.

 -- Soren Hansen <soren@ubuntu.com>  Tue, 11 Aug 2009 09:54:16 +0200

ec2-init (0.4.99-0ubuntu1) karmic; urgency=low

  * Massive rewrite. (LP: #407871, #407919, #308530, #407949, #407950, #407892
    and probably many others)
  * First Ubuntu version with the upstream tarball split out.
  * Switch to arch: all. There is no arch specific code here.

 -- Soren Hansen <soren@ubuntu.com>  Tue, 11 Aug 2009 08:33:33 +0200

ec2-init (0.3.4ubuntu9) karmic; urgency=low

  * Really include the action id in the semaphore filename.

 -- Soren Hansen <soren@ubuntu.com>  Sat, 11 Jul 2009 09:50:31 +0200

ec2-init (0.3.4ubuntu8) karmic; urgency=low

  * Add Vcs-Bzr header to debian/control.
  * Include the action id in the semaphore filename.

 -- Soren Hansen <soren@ubuntu.com>  Sat, 11 Jul 2009 02:35:43 +0200

ec2-init (0.3.4ubuntu7) karmic; urgency=low

  * Re-add accidentally removed locale template.
  * Fix indentation in init script.

 -- Soren Hansen <soren@ubuntu.com>  Fri, 10 Jul 2009 23:47:27 +0200

ec2-init (0.3.4ubuntu6) karmic; urgency=low

  * Replace calls to ec2-get-data with calls to ec2-get-info.
  * Make this package arch: all.

 -- Soren Hansen <soren@ubuntu.com>  Fri, 10 Jul 2009 23:16:35 +0200

ec2-init (0.3.4ubuntu5) karmic; urgency=low

  * debian/init: Move instance reboot detection out of python 
    scripts and move them to the init script.
  * debian/ec2-set-defaults.py: 
    - Point to the right location for locate (LP: #387611)
    - Default to UTC (LP: #341060)
  * debian/ec2-set-apt-sources.py: If you cant contact EC2 then use the
    regular archive (LP: #387027)
  * debian/ec2-setup-hostname.py: Use the local hostname in /etc/hosts
    and dont change once rebooted. (LP: #352745)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 08 Jul 2009 09:48:49 -0400

ec2-init (0.3.4ubuntu4) karmic; urgency=low

  * debian/init: Run update-motd regardless whether its a firstboot or not.
  * debian/init: Fix comments (LP: #373057)
  * debian/control: Add update-motd as a depends.
  * ec2-set-defaults.py: Wait for network to become available. (LP: #308530)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 28 May 2009 05:04:31 -0400

ec2-init (0.3.4ubuntu3) karmic; urgency=low

  * debian/init: Move init script to run before ssh and regenerate the ssh
    host kes in the init script rather than /etc/rc.local (LP: #370628)
  * ec2-set-apt-sources.py: 
    - Move sources.list to /var/ec2 so it doesnt get removed after user
    reboots.
  * ec2-set-defaults.py:
    - Move locale to /var/ec2/ so it doesnt get remove after user reboots.
  * ec2-set-hostname.py
    - Create an /etc/hostname as well.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 14 May 2009 11:11:49 -0400

ec2-init (0.3.4ubuntu2) karmic; urgency=low

  * Really change the locale when setting up an instance. (LP: #341066) 
  * Run ec2-run-user-data script last. (LP: #373055)
  * Minor comment tweaks. (LP: #373057)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 13 May 2009 13:41:35 -0400

ec2-init (0.3.4ubuntu1) karmic; urgency=low

  * Add more smarts to ec2 instance bring up. (LP: #371936)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 05 May 2009 08:59:54 -0400
