=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pycentral
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
DEB_DH_INSTALLINIT_ARGS=-o

DEB_UPDATE_RCD_PARAMS:= start 15 2 3 4 5 . stop 20 1 .

binary-install/ec2-init::
	for x in $(DEB_DESTDIR)/usr/bin/*.py; do mv "$$x" "$${x%.py}"; done
	dh_installinit -p ec2-init --name ec2-init-user-data \
	    --onlyscripts -- defaults 99 09
