## ec2-init 0.4.999-0ubuntu7.1

=== debian/changelog ===
ec2-init (0.4.999-0ubuntu7.1) karmic-proposed; urgency=low

  * fix mirror selection for us-west-1 (LP: #494185)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 11 Dec 2009 15:12:19 -0500
