=== debian/control ===
Source: ec2-init
Section: admin
Priority: extra
Maintainer: Soren Hansen <soren@ubuntu.com>
Build-Depends: cdbs, debhelper (>= 5.0.38), python-all-dev (>= 2.3.5-11), python-central (>= 0.5.6)
XS-Python-Version: all
Standards-Version: 3.8.0

Package: ec2-init
Architecture: all
Depends: python, procps, python-configobj, python-cheetah, update-motd, python-boto, ${python:Depends}
XB-Python-Version: ${python:Versions}
Description: Init scripts for EC2 instances
 EC2 instances need special scripts to run during initialisation
 to retrieve and install ssh keys and to let the user run various scripts.
