=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 DEB_PYTHON_SYSTEM=pycentral
 include /usr/share/cdbs/1/class/python-distutils.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/rules/simple-patchsys.mk
 DEB_DH_INSTALLINIT_ARGS=-o
 
 DEB_UPDATE_RCD_PARAMS:= start 15 2 3 4 5 . stop 20 1 .
