## ec2-init 0.4.999-0ubuntu7.2

=== debian/changelog ===
ec2-init (0.4.999-0ubuntu7.2) karmic-proposed; urgency=low

  * fix install/upgrade failure if python2.4 is installed (LP: #520734)
  * set hostname to a hostname-like value (ip-W-X-Y-Z) if instance
    metadata includes a ip address rather than a hostname in
    local-hostname (LP: #475354)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 11 Feb 2010 20:35:41 -0500
